Package oasis.names.tc.saml._1_0.assertion

# Class Conditions

java.lang.Object
oasis.names.tc.saml._1_0.assertion.Conditions

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class Conditions extends Object implements Serializable

Java class for ConditionsType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConditionsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice maxOccurs="unbounded" minOccurs="0">
             <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}AudienceRestrictionCondition"/>
             <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}DoNotCacheCondition"/>
             <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}Condition"/>
           </choice>
           <attribute name="NotBefore" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
           <attribute name="NotOnOrAfter" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Conditions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ConditionAbstractType>`
  `getAudienceRestrictionConditionsAndDoNotCacheConditionsAndConditions()`
  Gets the value of the audienceRestrictionConditionsAndDoNotCacheConditionsAndConditions property.
  `Instant`
  `getNotBefore()`
  Gets the value of the notBefore property.
  `Instant`
  `getNotOnOrAfter()`
  Gets the value of the notOnOrAfter property.
  `void`
  `setNotBefore(Instant value)`
  Sets the value of the notBefore property.
  `void`
  `setNotOnOrAfter(Instant value)`
  Sets the value of the notOnOrAfter property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Conditions

    public Conditions()

- ## Method Details

  - ### getAudienceRestrictionConditionsAndDoNotCacheConditionsAndConditions

    public List<ConditionAbstractType> getAudienceRestrictionConditionsAndDoNotCacheConditionsAndConditions()
    Gets the value of the audienceRestrictionConditionsAndDoNotCacheConditionsAndConditions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the audienceRestrictionConditionsAndDoNotCacheConditionsAndConditions property.

    For example, to add a new item, do as follows:

         getAudienceRestrictionConditionsAndDoNotCacheConditionsAndConditions().add(newItem);

    Objects of the following type(s) are allowed in the list `AudienceRestrictionCondition` `ConditionAbstractType` `DoNotCacheCondition`

    Returns:
      The value of the audienceRestrictionConditionsAndDoNotCacheConditionsAndConditions property.

  - ### getNotBefore

    public Instant getNotBefore()
    Gets the value of the notBefore property.
    Returns:
      possible object is `String`

  - ### setNotBefore

    public void setNotBefore(Instant value)
    Sets the value of the notBefore property.
    Parameters:
      `value` - allowed object is `String`

  - ### getNotOnOrAfter

    public Instant getNotOnOrAfter()
    Gets the value of the notOnOrAfter property.
    Returns:
      possible object is `String`

  - ### setNotOnOrAfter

    public void setNotOnOrAfter(Instant value)
    Sets the value of the notOnOrAfter property.
    Parameters:
      `value` - allowed object is `String`